summaryrefslogtreecommitdiff
path: root/autoinstall
diff options
context:
space:
mode:
authorJeroen van Meeuwen (Kolab Systems) <vanmeeuwen@kolabsys.com>2012-09-11 11:47:04 (GMT)
committerJeroen van Meeuwen (Kolab Systems) <vanmeeuwen@kolabsys.com>2012-09-11 11:47:04 (GMT)
commit558aa5cb092d2b23c6b1c21714973ca302dc30f6 (patch)
tree4c1df16a81af81a78a9f38dfef349700ee6c6d0d /autoinstall
parenteb5a03a1e378bcbba91527222674b6ec7e9fdd13 (diff)
downloadkolab-scripts-558aa5cb092d2b23c6b1c21714973ca302dc30f6.tar.gz
Add preseeds, kickstarts and bootstrap scripts
Diffstat (limited to 'autoinstall')
-rw-r--r--autoinstall/beefymiracle-30.cfg49
-rw-r--r--autoinstall/bootstrap/bootstrap-quantal-script.txt203
-rw-r--r--autoinstall/bootstrap/bootstrap-wheezy-script.txt202
-rw-r--r--autoinstall/bootstrap/git-clone-apt-packaging-repositories.txt10
-rw-r--r--autoinstall/quantal-30.cfg45
-rw-r--r--autoinstall/rawhide-30.cfg36
-rw-r--r--autoinstall/santiago-24.cfg46
-rw-r--r--autoinstall/santiago-30-empty.cfg38
-rw-r--r--autoinstall/santiago-30-full-kolab.cfg54
-rw-r--r--autoinstall/santiago-30.cfg140
-rw-r--r--autoinstall/sid-24.cfg45
-rw-r--r--autoinstall/sid-30.cfg45
-rw-r--r--autoinstall/sphericalcow-30.cfg40
-rw-r--r--autoinstall/squeeze-24.cfg45
-rw-r--r--autoinstall/squeeze-30.cfg45
-rw-r--r--autoinstall/tikanga-24.cfg54
-rw-r--r--autoinstall/wheezy-24.cfg45
-rw-r--r--autoinstall/wheezy-30.cfg45
18 files changed, 1187 insertions, 0 deletions
diff --git a/autoinstall/beefymiracle-30.cfg b/autoinstall/beefymiracle-30.cfg
new file mode 100644
index 0000000..bc1a2f7
--- /dev/null
+++ b/autoinstall/beefymiracle-30.cfg
@@ -0,0 +1,49 @@
+lang en_US.UTF-8
+keyboard us
+timezone --utc Europe/Zurich
+text
+skipx
+auth --useshadow --enablemd5
+selinux --permissive
+firewall --disabled
+firstboot --disabled
+zerombr
+clearpart --all --initlabel
+autopart
+rootpw --plaintext Welcome2KolabSystems
+bootloader --location=mbr
+services --enabled=NetworkManager --disabled=network
+
+network --hostname=kolab.example.org
+
+reboot
+
+repo --name=kolab-3.0-koji --baseurl=http://koji.kolabsys.com/static-repos/feature-f17-kolab-3.0-development-build/latest/x86_64/
+repo --name=kolab-3.0-development --baseurl=http://mirror.kolabsys.com/pub/fedora/kolab-3.0/f17/development/x86_64/
+repo --name=updates --baseurl=http://download.fedoraproject.org/pub/fedora/linux/updates/17/x86_64/
+
+%packages
+kolab-3.0-community-release
+kolab-3.0-community-release-development
+NetworkManager
+kolab
+
+# For development purposes
+git
+
+%end
+
+%post
+pushd /etc/systemd/system/
+rm -rf default.target
+ln -s /lib/systemd/system/runlevel3.target default.target
+popd
+
+# Insert SSH key
+mkdir -p /root/.ssh/
+cat >/root/.ssh/authorized_keys <<EOF
+ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCuYwrguPlzuOXUNV9AwtbduNy0Waq1crncyb8ijHNEng4SX/kMhqULK4Z6g0Go5vXFzkabmQqHvRPxi5jtTN+P80xsdqEznKETbyjiPnw56qLYERf1UvTUl41yMTgrB9M7/74cD1RnpjnMKU/KRUelWtv/xzpVvYoMsNBZlS64cCRXvrE2z7tZC2hdBKPU+6yeUSe1HVwklMzhAvCpPplN7riVO6hV4J1QCdLFpS8cScIYKBo7f6Xrt3aWOsmMr9OJx2CZiJkwYLotSkbf5VFMAsJhaSnO8UTNNEOZFkIU7My0+u2oyfQX2vuaaVaJix1gsNLW4q3bqvW5+XaNJuiZ kanarip@kanarip.com
+EOF
+chmod 700 /root/.ssh
+chmod 600 /root/.ssh/authorized_keys
+%end
diff --git a/autoinstall/bootstrap/bootstrap-quantal-script.txt b/autoinstall/bootstrap/bootstrap-quantal-script.txt
new file mode 100644
index 0000000..4f14bee
--- /dev/null
+++ b/autoinstall/bootstrap/bootstrap-quantal-script.txt
@@ -0,0 +1,203 @@
+#!/bin/bash
+
+# Add kolab user to sudo group and give sudo permissions without password
+gpasswd -a kolab sudo
+sed -r -i -e 's/%sudo.*$/%sudo ALL=(ALL) NOPASSWD: ALL/g' /etc/sudoers
+
+# Add IP address to /etc/issue
+expr="s/\s\\n\s/$(ip addr sh dev eth0 | grep -E "\s+inet\s" | awk '{print $2}')/g"
+sed -i -e $expr /etc/issue
+
+# Add the kolab repository.
+cat > /etc/apt/sources.list.d/kolab-3.0.list << EOF
+deb http://mirror.kolabsys.com/pub/ubuntu/kolab-3.0 quantal development
+deb-src http://mirror.kolabsys.com/pub/ubuntu/kolab-3.0 quantal development
+EOF
+
+cat > /etc/apt/preferences.d/kolab << EOF
+Package: *
+Pin: origin mirror.kolabsys.com
+Pin-Priority: 501
+EOF
+
+apt-get update || :
+
+apt-get -y --force-yes build-dep \
+ 389-admin 389-adminutil 389-console 389-ds-base 389-ds-console 389-dsgw \
+ apache2 cyrus-imapd jss ldapjdk libapache2-mod-nss libcalendaring libkolab \
+ libkolabxml libmozilla-ldap-perl mozilla-ldap-sdk php5 pykolab roundcube \
+ roundcube-plugins-extra || :
+
+apt-get -y --force-yes install \
+ build-essential cowbuilder debhelper devscripts dh-make dh-autoreconf \
+ fakeroot git-buildpackage libcurl4-gnutls-dev lintian openssh-server \
+ pbuilder pkg-kde-tools quilt sudo vim wget || :
+
+mkdir -p /home/kolab/bin
+cat > /home/kolab/bin/reinit-cowbuilder << EOF
+#!/bin/bash
+
+for ARCH in i386 amd64; do
+ for DIST in precise quantal wheezy sid; do
+ . \${HOME}/.pbuilderrc
+ sudo rm -rf /var/cache/pbuilder/base-\${DIST}-\${ARCH}.cow
+ sudo cowbuilder --create \
+ --architecture \${ARCH} --distribution \${DIST} \
+ --basepath /var/cache/pbuilder/base-\${DIST}-\${ARCH}.cow \
+ --mirror \${MIRRORSITE}
+ done
+done
+EOF
+chmod 755 /home/kolab/bin/reinit-cowbuilder
+
+mkdir -p /root/.ssh
+cat > /root/.ssh/known_hosts << EOF
+git.kolabsys.com ssh-rsa AAAAB3NzaC1yc2EAAAABIwAAAQEAoSSetGj23+QtuBaRA93W5HDofS0HW4lXmXpkxFjRQi/pzCSCfo8CmVnDN/woKBlvUfi9u4iKBMAhm0LkndvZOHYpGHxVAq65CXDcjyg9ZtS0SGOsD8EvuNa3Y+zVXHzF0h6ehoAgHI0r9lE/cSfqanJujSrzPV1Ro/jkSF+IQm7ibCXabk4dZfqSUDwp6lnde8mG+0KcHzwlkKacEQDZOThNO0RPl30nJI5uUkgWHsiY+lgzd4d2N7+IMHwlGhBN9aXwNEkShQrgZ3W5uLhpAIvHi5FkJhJwjMi6iI5K3NQGlc1TFSzoZOMy1we2NeDJk965+8cz6ZbJno0GZAz0Aw==
+EOF
+cat > /root/.ssh/authorized_keys << EOF
+ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCuYwrguPlzuOXUNV9AwtbduNy0Waq1crncyb8ijHNEng4SX/kMhqULK4Z6g0Go5vXFzkabmQqHvRPxi5jtTN+P80xsdqEznKETbyjiPnw56qLYERf1UvTUl41yMTgrB9M7/74cD1RnpjnMKU/KRUelWtv/xzpVvYoMsNBZlS64cCRXvrE2z7tZC2hdBKPU+6yeUSe1HVwklMzhAvCpPplN7riVO6hV4J1QCdLFpS8cScIYKBo7f6Xrt3aWOsmMr9OJx2CZiJkwYLotSkbf5VFMAsJhaSnO8UTNNEOZFkIU7My0+u2oyfQX2vuaaVaJix1gsNLW4q3bqvW5+XaNJuiZ kanarip@kanarip.com
+EOF
+chmod 700 /root/.ssh
+chmod 600 /root/.ssh/authorized_keys
+
+mkdir -p /home/kolab/.ssh
+cat > /home/kolab/.ssh/known_hosts << EOF
+git.kolabsys.com ssh-rsa AAAAB3NzaC1yc2EAAAABIwAAAQEAoSSetGj23+QtuBaRA93W5HDofS0HW4lXmXpkxFjRQi/pzCSCfo8CmVnDN/woKBlvUfi9u4iKBMAhm0LkndvZOHYpGHxVAq65CXDcjyg9ZtS0SGOsD8EvuNa3Y+zVXHzF0h6ehoAgHI0r9lE/cSfqanJujSrzPV1Ro/jkSF+IQm7ibCXabk4dZfqSUDwp6lnde8mG+0KcHzwlkKacEQDZOThNO0RPl30nJI5uUkgWHsiY+lgzd4d2N7+IMHwlGhBN9aXwNEkShQrgZ3W5uLhpAIvHi5FkJhJwjMi6iI5K3NQGlc1TFSzoZOMy1we2NeDJk965+8cz6ZbJno0GZAz0Aw==
+EOF
+cat > /home/kolab/.ssh/authorized_keys << EOF
+ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCuYwrguPlzuOXUNV9AwtbduNy0Waq1crncyb8ijHNEng4SX/kMhqULK4Z6g0Go5vXFzkabmQqHvRPxi5jtTN+P80xsdqEznKETbyjiPnw56qLYERf1UvTUl41yMTgrB9M7/74cD1RnpjnMKU/KRUelWtv/xzpVvYoMsNBZlS64cCRXvrE2z7tZC2hdBKPU+6yeUSe1HVwklMzhAvCpPplN7riVO6hV4J1QCdLFpS8cScIYKBo7f6Xrt3aWOsmMr9OJx2CZiJkwYLotSkbf5VFMAsJhaSnO8UTNNEOZFkIU7My0+u2oyfQX2vuaaVaJix1gsNLW4q3bqvW5+XaNJuiZ kanarip@kanarip.com
+EOF
+chmod 700 /home/kolab/.ssh
+chmod 600 /home/kolab/.ssh/authorized_keys
+
+# Initialize the Kolab user account for building
+cat > /home/kolab/.devscripts << EOF
+DEBUILD_DPKG_BUILDPACKAGE_OPTS="-i.git/ -I.git/ -us -uc -sa"
+EOF
+
+cat > /home/kolab/.bashrc << EOF
+# .bashrc
+
+# Source global definitions
+if [ -f /etc/bashrc ]; then
+ . /etc/bashrc
+fi
+
+# Set PATH before searching for sudo_utils
+export PATH=\$HOME/bin:/bin:/usr/bin:/usr/local/bin:/sbin:/usr/sbin:/usr/local/sbin
+
+# User specific aliases and functions
+export HISTSIZE=9999999
+export SVN_EDITOR=vim
+export EDITOR=vim
+export TMP=\$HOME/tmp
+export TMPDIR=\$HOME/tmp
+export DEBEMAIL=vanmeeuwen@kolabsys.com
+export DEBFULLNAME="Jeroen van Meeuwen (Kolab Systems)"
+
+export LS_OPTIONS='--color=auto'
+eval "\$(dircolors)"
+alias ls='ls \$LS_OPTIONS'
+alias ll='ls \$LS_OPTIONS -l'
+alias l='ls \$LS_OPTIONS -lA'
+alias rm='rm -i'
+alias cp='cp -i'
+alias mv='mv -i'
+
+export GIT_PS1_SHOWDIRTYSTATE=1
+export GIT_PS1_SHOWUNTRACKEDFILES=1
+export GIT_PS1_SHOWUPSTREAM="auto verbose"
+
+if [ ! -f "/etc/bash_completion" ]; then
+ if [ -f "/etc/bash_completion.d/git" ]; then
+ cp /etc/bash_completion.d/git ~/.git-completion.sh
+ . ~/.git-completion.sh
+ PS1='[\u@\h \W\$(__git_ps1 " (%s)")]\\$ '
+ fi
+else
+ PS1='[\u@\h \W\$(__git_ps1 " (%s)")]\\$ '
+fi
+EOF
+
+ln -sf /home/kolab/.bashrc /root/.bashrc
+
+cat > /home/kolab/.dupload.conf << EOF
+package config;
+\$preupload{'changes'} = "echo Starting %1";
+
+\$cfg{'pub-3.0-wheezy-dev'} = {
+ 'fqdn' => 'mirror.kolabsys.com',
+ 'method' => 'scpb',
+ 'login' => 'vanmeeuwen',
+ 'incoming' => '/srv/mirror/public/debian/kolab-3.0/incoming/wheezy/development/',
+ 'dinstall_runs' => 1
+ };
+
+1;
+EOF
+
+cat > /home/kolab/.gitignore << EOF
+[user]
+ name = Jeroen van Meeuwen (Kolab Systems)
+ email = vanmeeuwen
+EOF
+
+cat > /home/kolab/.pbuilderrc << EOF
+# do not specify variables when running cowbuilder --create or --update
+if [ -f debian/changelog ]; then
+ [ -z "\$ARCH" ] && ARCH=\$(dpkg --print-architecture)
+ [ -z "\$DIST" ] && DIST=\$(dpkg-parsechangelog | sed -n 's/^Distribution: //p')
+fi
+
+if [ "\${DIST}" == "squeeze" -o "\${DIST}" == "wheezy" -o "\${DIST}" == "sid" ]; then
+ MIRRORSITE=http://ftp.uk.debian.org/debian
+else
+ MIRRORSITE=http://mirror.krystal.co.uk/ubuntu/
+fi
+
+DEBOOTSTRAPOPTS[${#DEBOOTSTRAPOPTS[@]}]="--no-check-gpg"
+PDEBUILD_PBUILDER="cowbuilder --build --basepath /var/cache/pbuilder/base-\${DIST}-\${ARCH}.cow --mirror \${MIRRORSITE}"
+DEBBUILDOPTS="-us -uc -sa -d \${OPTS}"
+ARCHITECTURE=\${ARCH}
+BUILDRESULT=~/builds
+EXTRAPACKAGES="\$EXTRAPACKAGES lintian"
+AUTO_DEBSIGN=no
+HOOKDIR=\${HOME}/.pbuilder/hooks/
+PKGNAME_LOGFILE_EXTENTION="_\${ARCH}.build"
+EOF
+
+ln -sf /home/kolab/.pbuilderrc /root/.pbuilderrc
+
+# Initialize .quiltrc (from http://www.debian.org/doc/manuals/maint-guide/modify.en.html)
+cat > /home/kolab/.quiltrc << EOF
+d=. ; while [ ! -d \$d/debian -a \$(readlink -e \$d) != / ]; do d=\$d/..; done
+if [ -d \$d/debian ] && [ -z \$QUILT_PATCHES ]; then
+ # if in Debian packaging tree with unset \$QUILT_PATCHES
+ QUILT_PATCHES="debian/patches"
+ QUILT_PATCH_OPTS="--reject-format=unified"
+ QUILT_DIFF_ARGS="-p ab --no-timestamps --no-index --color=auto"
+ QUILT_REFRESH_ARGS="-p ab --no-timestamps --no-index"
+ QUILT_COLORS="diff_hdr=1;32:diff_add=1;34:diff_rem=1;31:diff_hunk=1;33:diff_ctx=35:diff_cctx=33"
+ if ! [ -d \$d/debian/patches ]; then mkdir \$d/debian/patches; fi
+fi
+EOF
+
+# Set some vimrc's to the usual 4 spaces for an indentation level
+cat > /root/.vimrc << EOF
+set shiftwidth=4
+set tabstop=4
+set expandtab
+EOF
+
+cat > /home/kolab/.vimrc << EOF
+set shiftwidth=4
+set tabstop=4
+set expandtab
+EOF
+
+wget -q -O/tmp/git-clone-apt-packaging-repositories.sh "http://hosted.kolabsys.com/~vanmeeuwen/git-clone-apt-packaging-repositories.txt"
+chmod 755 /tmp/git-clone-apt-packaging-repositories.sh
+/tmp/git-clone-apt-packaging-repositories.sh
+
+chown -R kolab:kolab ~kolab
+
diff --git a/autoinstall/bootstrap/bootstrap-wheezy-script.txt b/autoinstall/bootstrap/bootstrap-wheezy-script.txt
new file mode 100644
index 0000000..376382d
--- /dev/null
+++ b/autoinstall/bootstrap/bootstrap-wheezy-script.txt
@@ -0,0 +1,202 @@
+#!/bin/bash
+
+# Add kolab user to sudo group and give sudo permissions without password
+gpasswd -a kolab sudo
+sed -r -i -e 's/%sudo.*$/%sudo ALL=(ALL) NOPASSWD: ALL/g' /etc/sudoers
+
+# Add IP address to /etc/issue
+expr="s/\s\\n\s/$(ip addr sh dev eth0 | grep -E "\s+inet\s" | awk '{print $2}')/g"
+sed -i -e $expr /etc/issue
+
+# Add the kolab repository.
+cat > /etc/apt/sources.list.d/kolab-3.0.list << EOF
+deb http://mirror.kolabsys.com/pub/debian/kolab-3.0 wheezy development
+deb-src http://mirror.kolabsys.com/pub/debian/kolab-3.0 wheezy development
+EOF
+
+cat > /etc/apt/preferences.d/kolab << EOF
+Package: *
+Pin: origin mirror.kolabsys.com
+Pin-Priority: 501
+EOF
+
+apt-get update || :
+
+apt-get -y --force-yes build-dep \
+ 389-admin 389-adminutil 389-console 389-ds-base 389-ds-console 389-dsgw \
+ apache2 cyrus-imapd jss ldapjdk libapache2-mod-nss libcalendaring libkolab \
+ libkolabxml libmozilla-ldap-perl mozilla-ldap-sdk php5 pykolab roundcube \
+ roundcube-plugins-extra || :
+
+apt-get -y --force-yes install \
+ build-essential cowbuilder debhelper devscripts dh-make dh-autoreconf \
+ fakeroot git-buildpackage libcurl4-gnutls-dev lintian openssh-server \
+ pbuilder pkg-kde-tools quilt sudo vim wget || :
+
+mkdir -p /home/kolab/bin
+cat > /home/kolab/bin/reinit-cowbuilder << EOF
+#!/bin/bash
+
+for ARCH in i386 amd64; do
+ for DIST in precise quantal wheezy sid; do
+ . \${HOME}/.pbuilderrc
+ sudo rm -rf /var/cache/pbuilder/base-\${DIST}-\${ARCH}.cow
+ sudo cowbuilder --create \
+ --architecture \${ARCH} --distribution \${DIST} \
+ --basepath /var/cache/pbuilder/base-\${DIST}-\${ARCH}.cow \
+ --mirror \${MIRRORSITE}
+ done
+done
+EOF
+chmod 755 /home/kolab/bin/reinit-cowbuilder
+
+mkdir -p /root/.ssh
+cat > /root/.ssh/known_hosts << EOF
+git.kolabsys.com ssh-rsa AAAAB3NzaC1yc2EAAAABIwAAAQEAoSSetGj23+QtuBaRA93W5HDofS0HW4lXmXpkxFjRQi/pzCSCfo8CmVnDN/woKBlvUfi9u4iKBMAhm0LkndvZOHYpGHxVAq65CXDcjyg9ZtS0SGOsD8EvuNa3Y+zVXHzF0h6ehoAgHI0r9lE/cSfqanJujSrzPV1Ro/jkSF+IQm7ibCXabk4dZfqSUDwp6lnde8mG+0KcHzwlkKacEQDZOThNO0RPl30nJI5uUkgWHsiY+lgzd4d2N7+IMHwlGhBN9aXwNEkShQrgZ3W5uLhpAIvHi5FkJhJwjMi6iI5K3NQGlc1TFSzoZOMy1we2NeDJk965+8cz6ZbJno0GZAz0Aw==
+EOF
+cat > /root/.ssh/authorized_keys << EOF
+ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCuYwrguPlzuOXUNV9AwtbduNy0Waq1crncyb8ijHNEng4SX/kMhqULK4Z6g0Go5vXFzkabmQqHvRPxi5jtTN+P80xsdqEznKETbyjiPnw56qLYERf1UvTUl41yMTgrB9M7/74cD1RnpjnMKU/KRUelWtv/xzpVvYoMsNBZlS64cCRXvrE2z7tZC2hdBKPU+6yeUSe1HVwklMzhAvCpPplN7riVO6hV4J1QCdLFpS8cScIYKBo7f6Xrt3aWOsmMr9OJx2CZiJkwYLotSkbf5VFMAsJhaSnO8UTNNEOZFkIU7My0+u2oyfQX2vuaaVaJix1gsNLW4q3bqvW5+XaNJuiZ kanarip@kanarip.com
+EOF
+chmod 700 /root/.ssh
+chmod 600 /root/.ssh/authorized_keys
+
+mkdir -p /home/kolab/.ssh
+cat > /home/kolab/.ssh/known_hosts << EOF
+git.kolabsys.com ssh-rsa AAAAB3NzaC1yc2EAAAABIwAAAQEAoSSetGj23+QtuBaRA93W5HDofS0HW4lXmXpkxFjRQi/pzCSCfo8CmVnDN/woKBlvUfi9u4iKBMAhm0LkndvZOHYpGHxVAq65CXDcjyg9ZtS0SGOsD8EvuNa3Y+zVXHzF0h6ehoAgHI0r9lE/cSfqanJujSrzPV1Ro/jkSF+IQm7ibCXabk4dZfqSUDwp6lnde8mG+0KcHzwlkKacEQDZOThNO0RPl30nJI5uUkgWHsiY+lgzd4d2N7+IMHwlGhBN9aXwNEkShQrgZ3W5uLhpAIvHi5FkJhJwjMi6iI5K3NQGlc1TFSzoZOMy1we2NeDJk965+8cz6ZbJno0GZAz0Aw==
+EOF
+cat > /home/kolab/.ssh/authorized_keys << EOF
+ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCuYwrguPlzuOXUNV9AwtbduNy0Waq1crncyb8ijHNEng4SX/kMhqULK4Z6g0Go5vXFzkabmQqHvRPxi5jtTN+P80xsdqEznKETbyjiPnw56qLYERf1UvTUl41yMTgrB9M7/74cD1RnpjnMKU/KRUelWtv/xzpVvYoMsNBZlS64cCRXvrE2z7tZC2hdBKPU+6yeUSe1HVwklMzhAvCpPplN7riVO6hV4J1QCdLFpS8cScIYKBo7f6Xrt3aWOsmMr9OJx2CZiJkwYLotSkbf5VFMAsJhaSnO8UTNNEOZFkIU7My0+u2oyfQX2vuaaVaJix1gsNLW4q3bqvW5+XaNJuiZ kanarip@kanarip.com
+EOF
+chmod 700 /home/kolab/.ssh
+chmod 600 /home/kolab/.ssh/authorized_keys
+
+# Initialize the Kolab user account for building
+cat > /home/kolab/.devscripts << EOF
+DEBUILD_DPKG_BUILDPACKAGE_OPTS="-i.git/ -I.git/ -us -uc -sa"
+EOF
+
+cat > /home/kolab/.bashrc << EOF
+# .bashrc
+
+# Source global definitions
+if [ -f /etc/bashrc ]; then
+ . /etc/bashrc
+fi
+
+# Set PATH before searching for sudo_utils
+export PATH=\$HOME/bin:/bin:/usr/bin:/usr/local/bin:/sbin:/usr/sbin:/usr/local/sbin
+
+# User specific aliases and functions
+export HISTSIZE=9999999
+export SVN_EDITOR=vim
+export EDITOR=vim
+export TMP=\$HOME/tmp
+export TMPDIR=\$HOME/tmp
+export DEBEMAIL=vanmeeuwen@kolabsys.com
+export DEBFULLNAME="Jeroen van Meeuwen (Kolab Systems)"
+
+export LS_OPTIONS='--color=auto'
+eval "\$(dircolors)"
+alias ls='ls \$LS_OPTIONS'
+alias ll='ls \$LS_OPTIONS -l'
+alias l='ls \$LS_OPTIONS -lA'
+alias rm='rm -i'
+alias cp='cp -i'
+alias mv='mv -i'
+
+export GIT_PS1_SHOWDIRTYSTATE=1
+export GIT_PS1_SHOWUNTRACKEDFILES=1
+export GIT_PS1_SHOWUPSTREAM="auto verbose"
+
+if [ ! -f "/etc/bash_completion" ]; then
+ if [ -f "/etc/bash_completion.d/git" ]; then
+ cp /etc/bash_completion.d/git ~/.git-completion.sh
+ . ~/.git-completion.sh
+ PS1='[\u@\h \W\$(__git_ps1 " (%s)")]\\$ '
+ fi
+else
+ PS1='[\u@\h \W\$(__git_ps1 " (%s)")]\\$ '
+fi
+EOF
+
+ln -sf /home/kolab/.bashrc /root/.bashrc
+
+cat > /home/kolab/.dupload.conf << EOF
+package config;
+\$preupload{'changes'} = "echo Starting %1";
+
+\$cfg{'pub-3.0-wheezy-dev'} = {
+ 'fqdn' => 'mirror.kolabsys.com',
+ 'method' => 'scpb',
+ 'login' => 'vanmeeuwen',
+ 'incoming' => '/srv/mirror/public/debian/kolab-3.0/incoming/wheezy/development/',
+ 'dinstall_runs' => 1
+ };
+
+1;
+EOF
+
+cat > /home/kolab/.gitignore << EOF
+[user]
+ name = Jeroen van Meeuwen (Kolab Systems)
+ email = vanmeeuwen
+EOF
+
+cat > /home/kolab/.pbuilderrc << EOF
+# do not specify variables when running cowbuilder --create or --update
+if [ -f debian/changelog ]; then
+ [ -z "\$ARCH" ] && ARCH=\$(dpkg --print-architecture)
+ [ -z "\$DIST" ] && DIST=\$(dpkg-parsechangelog | sed -n 's/^Distribution: //p')
+fi
+
+if [ "\${DIST}" == "squeeze" -o "\${DIST}" == "wheezy" -o "\${DIST}" == "sid" ]; then
+ MIRRORSITE=http://ftp.uk.debian.org/debian
+else
+ MIRRORSITE=http://mirror.krystal.co.uk/ubuntu/
+fi
+
+DEBOOTSTRAPOPTS[${#DEBOOTSTRAPOPTS[@]}]="--no-check-gpg"
+PDEBUILD_PBUILDER="cowbuilder --build --basepath /var/cache/pbuilder/base-\${DIST}-\${ARCH}.cow --mirror \${MIRRORSITE}"
+DEBBUILDOPTS="-us -uc -sa -d \${OPTS}"
+ARCHITECTURE=\${ARCH}
+BUILDRESULT=~/builds
+EXTRAPACKAGES="\$EXTRAPACKAGES lintian"
+AUTO_DEBSIGN=no
+HOOKDIR=\${HOME}/.pbuilder/hooks/
+PKGNAME_LOGFILE_EXTENTION="_\${ARCH}.build"
+EOF
+
+ln -sf /home/kolab/.pbuilderrc /root/.pbuilderrc
+
+# Initialize .quiltrc (from http://www.debian.org/doc/manuals/maint-guide/modify.en.html)
+cat > /home/kolab/.quiltrc << EOF
+d=. ; while [ ! -d \$d/debian -a \$(readlink -e \$d) != / ]; do d=\$d/..; done
+if [ -d \$d/debian ] && [ -z \$QUILT_PATCHES ]; then
+ # if in Debian packaging tree with unset \$QUILT_PATCHES
+ QUILT_PATCHES="debian/patches"
+ QUILT_PATCH_OPTS="--reject-format=unified"
+ QUILT_DIFF_ARGS="-p ab --no-timestamps --no-index --color=auto"
+ QUILT_REFRESH_ARGS="-p ab --no-timestamps --no-index"
+ QUILT_COLORS="diff_hdr=1;32:diff_add=1;34:diff_rem=1;31:diff_hunk=1;33:diff_ctx=35:diff_cctx=33"
+ if ! [ -d \$d/debian/patches ]; then mkdir \$d/debian/patches; fi
+fi
+EOF
+
+# Set some vimrc's to the usual 4 spaces for an indentation level
+cat > /root/.vimrc << EOF
+set shiftwidth=4
+set tabstop=4
+set expandtab
+EOF
+
+cat > /home/kolab/.vimrc << EOF
+set shiftwidth=4
+set tabstop=4
+set expandtab
+EOF
+
+wget -q -O/tmp/git-clone-apt-packaging-repositories.sh "http://hosted.kolabsys.com/~vanmeeuwen/git-clone-apt-packaging-repositories.txt"
+chmod 755 /tmp/git-clone-apt-packaging-repositories.sh
+/tmp/git-clone-apt-packaging-repositories.sh
+
+chown -R kolab:kolab ~kolab
diff --git a/autoinstall/bootstrap/git-clone-apt-packaging-repositories.txt b/autoinstall/bootstrap/git-clone-apt-packaging-repositories.txt
new file mode 100644
index 0000000..99dff32
--- /dev/null
+++ b/autoinstall/bootstrap/git-clone-apt-packaging-repositories.txt
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+for pkg in 389-admin 389-adminutil 389-console \
+ 389-ds-base 389-ds-console 389-dsgw apache2 cyrus-imapd \
+ jss kolab ldapjdk libapache2-mod-nss libcalendaring libkolab libkolabxml \
+ libmozilla-ldap-perl mozilla-ldap-sdk pykolab roundcube \
+ roundcube-plugins-extra; do
+ git clone git://git.kolabsys.com/git/apt/${pkg} /home/kolab/${pkg}
+done
+
diff --git a/autoinstall/quantal-30.cfg b/autoinstall/quantal-30.cfg
new file mode 100644
index 0000000..9f23af8
--- /dev/null
+++ b/autoinstall/quantal-30.cfg
@@ -0,0 +1,45 @@
+d-i debian-installer/locale string en_US
+d-i console-keymaps-at/keymap select us
+d-i netcfg/choose_interface select auto
+d-i netcfg/get_hostname kolab.example.org
+d-i netcfg/get_domain kolab.example.org
+d-i netcfg/wireless_wep string
+d-i mirror/country string enter information manually
+d-i mirror/http/hostname string ftp.uk.debian.org
+d-i mirror/http/directory string /debian/
+d-i clock-setup/utc boolean true
+d-i time/zone string Europe/Zurich
+d-i clock-setup/ntp boolean true
+
+d-i partman-auto/disk string /dev/sda
+d-i partman-auto/method string lvm
+d-i partman-auto/choose_recipe select atomic
+d-i partman-lvm/confirm boolean true
+d-i partman-lvm/device_remove_lvm boolean true
+d-i partman-lvm/confirm_nooverwrite boolean true
+d-i partman/choose_partition select finish
+d-i partman/confirm boolean true
+d-i partman/confirm_nooverwrite boolean true
+d-i partman-basicfilesystems/no_mount_point yes
+
+d-i passwd/root-password password Welcome2KolabSystems
+d-i passwd/root-password-again password Welcome2KolabSystems
+
+d-i passwd/user-fullname string Kolab Systems User
+d-i passwd/username string kolab
+d-i passwd/user-password password Welcome2KolabSystems
+d-i passwd/user-password-again password Welcome2KolabSystems
+
+d-i apt-setup/non-free boolean true
+d-i apt-setup/contrib boolean true
+
+tasksel tasksel/first multiselect standard
+d-i pkgsel/include select build-essential cowbuilder debhelper devscripts dh-make dh-autoreconf fakeroot git-buildpackage kde-standard kontact ldapscripts lintian openssh-server pbuilder sudo vim wget
+d-i popularity-contest/participate boolean false
+
+d-i preseed/late_command string in-target wget -q -O/root/init.sh http://hosted.kolabsys.com/~vanmeeuwen/bootstrap-quantal-script.txt; in-target chmod +x /root/init.sh; in-target bash /root/init.sh
+
+d-i grub-installer/only_debian boolean true
+d-i grub-installer/with_other_os boolean true
+
+d-i finish-install/reboot_in_progress note
diff --git a/autoinstall/rawhide-30.cfg b/autoinstall/rawhide-30.cfg
new file mode 100644
index 0000000..0c129d0
--- /dev/null
+++ b/autoinstall/rawhide-30.cfg
@@ -0,0 +1,36 @@
+lang en_US.UTF-8
+keyboard us
+timezone --utc Europe/Zurich
+auth --useshadow --enablemd5
+xconfig --startxonboot
+selinux --permissive
+firewall --disabled
+firstboot --disabled
+zerombr
+clearpart --all --initlabel
+autopart
+rootpw --plaintext Welcome2KolabSystems
+bootloader --location=mbr
+services --enabled=NetworkManager --disabled=network
+
+network --hostname=kolab.example.org
+
+repo --name=rawhide --baseurl=http://mirror.kolabsys.com/distr/fedora/development/18/x86_64/os/
+
+reboot
+
+%packages
+NetworkManager
+@gnome-desktop
+@kde-desktop
+%end
+
+%post
+# Insert SSH key
+mkdir -p /root/.ssh/
+cat >/root/.ssh/authorized_keys <<EOF
+ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCuYwrguPlzuOXUNV9AwtbduNy0Waq1crncyb8ijHNEng4SX/kMhqULK4Z6g0Go5vXFzkabmQqHvRPxi5jtTN+P80xsdqEznKETbyjiPnw56qLYERf1UvTUl41yMTgrB9M7/74cD1RnpjnMKU/KRUelWtv/xzpVvYoMsNBZlS64cCRXvrE2z7tZC2hdBKPU+6yeUSe1HVwklMzhAvCpPplN7riVO6hV4J1QCdLFpS8cScIYKBo7f6Xrt3aWOsmMr9OJx2CZiJkwYLotSkbf5VFMAsJhaSnO8UTNNEOZFkIU7My0+u2oyfQX2vuaaVaJix1gsNLW4q3bqvW5+XaNJuiZ kanarip@kanarip.com
+EOF
+chmod 700 /root/.ssh
+chmod 600 /root/.ssh/authorized_keys
+%end
diff --git a/autoinstall/santiago-24.cfg b/autoinstall/santiago-24.cfg
new file mode 100644
index 0000000..645ad4e
--- /dev/null
+++ b/autoinstall/santiago-24.cfg
@@ -0,0 +1,46 @@
+lang en_US.UTF-8
+keyboard us
+timezone --utc Europe/Zurich
+text
+skipx
+auth --useshadow --enablemd5
+selinux --permissive
+firewall --enabled
+firstboot --disabled
+xconfig --startxonboot
+zerombr
+clearpart --all --initlabel
+autopart
+rootpw --plaintext Welcome2KolabSystems
+bootloader --location=mbr
+services --enabled=NetworkManager --disabled=network
+
+network --hostname=kolab.example.org
+
+reboot
+
+repo --name=epel --baseurl=http://download.fedoraproject.org/pub/epel/6/x86_64/
+repo --name=kolab-2.4 --baseurl=http://mirror.kolabsys.com/pub/redhat/kolab-2.4/el6/release/x86_64/
+repo --name=kolab-2.4-updates --baseurl=http://mirror.kolabsys.com/pub/redhat/kolab-2.4/el6/updates/x86_64/
+repo --name=kolab-2.4-development-koji --baseurl=http://koji.kolabsys.com/static-repos/feature-el6-kolab-2.4-development-build/latest/x86_64/
+
+%packages
+NetworkManager
+kolab-2.4-community-release
+kolab-2.4-community-release-development
+epel-release
+kolab
+
+%post
+# Set the default runlevel to 3
+# https://bugzilla.redhat.com/show_bug.cgi?id=440058
+sed -i -r -e 's/^id:[0-6]:initdefault:$/id:3:initdefault:/g' /etc/inittab
+
+# Insert SSH key
+mkdir -p /root/.ssh/
+cat >/root/.ssh/authorized_keys <<EOF
+ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCuYwrguPlzuOXUNV9AwtbduNy0Waq1crncyb8ijHNEng4SX/kMhqULK4Z6g0Go5vXFzkabmQqHvRPxi5jtTN+P80xsdqEznKETbyjiPnw56qLYERf1UvTUl41yMTgrB9M7/74cD1RnpjnMKU/KRUelWtv/xzpVvYoMsNBZlS64cCRXvrE2z7tZC2hdBKPU+6yeUSe1HVwklMzhAvCpPplN7riVO6hV4J1QCdLFpS8cScIYKBo7f6Xrt3aWOsmMr9OJx2CZiJkwYLotSkbf5VFMAsJhaSnO8UTNNEOZFkIU7My0+u2oyfQX2vuaaVaJix1gsNLW4q3bqvW5+XaNJuiZ kanarip@kanarip.com
+EOF
+chmod 700 /root/.ssh
+chmod 600 /root/.ssh/authorized_keys
+%end
diff --git a/autoinstall/santiago-30-empty.cfg b/autoinstall/santiago-30-empty.cfg
new file mode 100644
index 0000000..0b14cf0
--- /dev/null
+++ b/autoinstall/santiago-30-empty.cfg
@@ -0,0 +1,38 @@
+lang en_US.UTF-8
+keyboard us
+timezone --utc Europe/Zurich
+text
+skipx
+auth --useshadow --enablemd5
+selinux --permissive
+firewall --enabled
+firstboot --disabled
+zerombr
+clearpart --all --initlabel
+autopart
+rootpw --plaintext Welcome2KolabSystems
+bootloader --location=mbr
+services --enabled=NetworkManager --disabled=network
+
+network --hostname=kolab.example.org
+
+reboot
+
+%packages
+NetworkManager
+vim-enhanced
+
+%post
+# Set the default runlevel to 3
+# https://bugzilla.redhat.com/show_bug.cgi?id=440058
+sed -i -r -e 's/^id:[0-6]:initdefault:$/id:3:initdefault:/g' /etc/inittab
+
+# Insert SSH key
+mkdir -p /root/.ssh/
+cat >/root/.ssh/authorized_keys <<EOF
+ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCuYwrguPlzuOXUNV9AwtbduNy0Waq1crncyb8ijHNEng4SX/kMhqULK4Z6g0Go5vXFzkabmQqHvRPxi5jtTN+P80xsdqEznKETbyjiPnw56qLYERf1UvTUl41yMTgrB9M7/74cD1RnpjnMKU/KRUelWtv/xzpVvYoMsNBZlS64cCRXvrE2z7tZC2hdBKPU+6yeUSe1HVwklMzhAvCpPplN7riVO6hV4J1QCdLFpS8cScIYKBo7f6Xrt3aWOsmMr9OJx2CZiJkwYLotSkbf5VFMAsJhaSnO8UTNNEOZFkIU7My0+u2oyfQX2vuaaVaJix1gsNLW4q3bqvW5+XaNJuiZ kanarip@kanarip.com
+ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC9r21mApOzrvHdUmEgZB18uj3siBA0pONsETFeGliEn2f2IBQ/5ovIO8kjPvYpDfNFFbdg4hKS2R7n8mFIMGC27v9yLPIrFooN5iL+acYCV79F6s30GFg0hm07TfGOuxUi3lB9ZRjCDfKVmJ7ESQXd7kqi2Sqy3ke1wkHhqNXzan7U8YVWwG/whPK7BMiS1GMAsk5meafKLX/dxdZjVz3ZwS9yxk0gQ8Y73sJFHfxED+/5WpxPctIKvHam29xLuK3P/k+pkqZ0zKIDmjSBD60+Gb3+Dlhnryj53WkuNYTchBJwshnMlWRJeEKi/gFJsHuAzlJNXppIVcTbLBMYM2Zj kolab3dev@albert.kolabsys.com
+EOF
+chmod 700 /root/.ssh
+chmod 600 /root/.ssh/authorized_keys
+%end
diff --git a/autoinstall/santiago-30-full-kolab.cfg b/autoinstall/santiago-30-full-kolab.cfg
new file mode 100644
index 0000000..11a8dd0
--- /dev/null
+++ b/autoinstall/santiago-30-full-kolab.cfg
@@ -0,0 +1,54 @@
+lang en_US.UTF-8
+keyboard us
+timezone --utc Europe/Zurich
+text
+skipx
+auth --useshadow --enablemd5
+selinux --permissive
+firewall --enabled
+firstboot --disabled
+zerombr
+clearpart --all --initlabel
+autopart
+rootpw --plaintext Welcome2KolabSystems
+bootloader --location=mbr
+services --enabled=NetworkManager --disabled=network
+
+network --hostname=kolab.example.org
+
+reboot
+
+#repo --name=kolab-3.0 --baseurl=http://koji.kolabsys.com/static-repos/feature-el6-kolab-3.0-development-build/latest/x86_64/
+#repo --name=kolab-3.0-development --baseurl=http://mirror.kolabsys.com/pub/redhat/kolab-3.0/el6/development/x86_64/
+repo --name=updates --baseurl=http://www.mirrorservice.org/sites/mirror.centos.org/6/updates/x86_64/
+repo --name=kolab-3.0 --baseurl=http://mirror.kolabsys.com/pub/redhat/kolab-3.0/el6/release/x86_64/
+repo --name=kolab-3.0-updates --baseurl=http://mirror.kolabsys.com/pub/redhat/kolab-3.0/el6/updates/x86_64/
+repo --name=kolab-3.0-development --baseurl=http://mirror.kolabsys.com/pub/redhat/kolab-3.0/el6/development/x86_64/
+repo --name=epel-6 --baseurl=http://www.mirrorservice.org/sites/dl.fedoraproject.org/pub/epel/6/x86_64/
+
+%packages
+#%packages --ignoremissing
+kolab-3.0-community-release
+kolab-3.0-community-release-development
+epel-release
+NetworkManager
+kolab
+
+# For development purposes
+git
+vim-enhanced
+
+%post
+# Set the default runlevel to 3
+# https://bugzilla.redhat.com/show_bug.cgi?id=440058
+sed -i -r -e 's/^id:[0-6]:initdefault:$/id:3:initdefault:/g' /etc/inittab
+
+# Insert SSH key
+mkdir -p /root/.ssh/
+cat >/root/.ssh/authorized_keys <<EOF
+ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCuYwrguPlzuOXUNV9AwtbduNy0Waq1crncyb8ijHNEng4SX/kMhqULK4Z6g0Go5vXFzkabmQqHvRPxi5jtTN+P80xsdqEznKETbyjiPnw56qLYERf1UvTUl41yMTgrB9M7/74cD1RnpjnMKU/KRUelWtv/xzpVvYoMsNBZlS64cCRXvrE2z7tZC2hdBKPU+6yeUSe1HVwklMzhAvCpPplN7riVO6hV4J1QCdLFpS8cScIYKBo7f6Xrt3aWOsmMr9OJx2CZiJkwYLotSkbf5VFMAsJhaSnO8UTNNEOZFkIU7My0+u2oyfQX2vuaaVaJix1gsNLW4q3bqvW5+XaNJuiZ kanarip@kanarip.com
+ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC9r21mApOzrvHdUmEgZB18uj3siBA0pONsETFeGliEn2f2IBQ/5ovIO8kjPvYpDfNFFbdg4hKS2R7n8mFIMGC27v9yLPIrFooN5iL+acYCV79F6s30GFg0hm07TfGOuxUi3lB9ZRjCDfKVmJ7ESQXd7kqi2Sqy3ke1wkHhqNXzan7U8YVWwG/whPK7BMiS1GMAsk5meafKLX/dxdZjVz3ZwS9yxk0gQ8Y73sJFHfxED+/5WpxPctIKvHam29xLuK3P/k+pkqZ0zKIDmjSBD60+Gb3+Dlhnryj53WkuNYTchBJwshnMlWRJeEKi/gFJsHuAzlJNXppIVcTbLBMYM2Zj kolab3dev@albert.kolabsys.com
+EOF
+chmod 700 /root/.ssh
+chmod 600 /root/.ssh/authorized_keys
+%end
diff --git a/autoinstall/santiago-30.cfg b/autoinstall/santiago-30.cfg
new file mode 100644
index 0000000..1bb126e
--- /dev/null
+++ b/autoinstall/santiago-30.cfg
@@ -0,0 +1,140 @@
+lang en_US.UTF-8
+keyboard us
+timezone --utc Europe/Zurich
+text
+skipx
+auth --useshadow --enablemd5
+selinux --permissive
+firewall --enabled
+firstboot --disabled
+zerombr
+clearpart --all --initlabel
+autopart
+rootpw --plaintext Welcome2KolabSystems
+bootloader --location=mbr
+services --enabled=NetworkManager --disabled=network
+
+network --hostname=kolab.example.org
+
+reboot
+
+# repo --name=kolab-3.0 --baseurl=http://koji.kolabsys.com/static-repos/feature-el6-kolab-3.0-development-build/latest/x86_64/
+# repo --name=el6-updates-uk --baseurl=http://mirror.bytemark.co.uk/centos/6/updates/x86_64/
+repo --name=updates --baseurl=http://ftp.nluug.nl/pub/os/Linux/distr/CentOS/6/updates/x86_64/
+repo --name=kolab-3.0-release --baseurl=http://mirror.kolabsys.com/pub/redhat/kolab-3.0/el6/release/x86_64/
+repo --name=kolab-3.0-updates --baseurl=http://mirror.kolabsys.com/pub/redhat/kolab-3.0/el6/updates/x86_64/
+repo --name=kolab-3.0-development --baseurl=http://mirror.kolabsys.com/pub/redhat/kolab-3.0/el6/development/x86_64/
+# repo --name=epel --baseurl=http://mirror.bytemark.co.uk/fedora/epel/6/x86_64/
+repo --name=epel --baseurl=http://ftp.nluug.nl/os/Linux/distr/fedora-epel/6/x86_64/
+
+%packages
+#%packages --ignoremissing
+kolab-3.0-community-release
+kolab-3.0-community-release-development
+epel-release
+NetworkManager
+kolab
+
+# For development purposes
+git
+vim-enhanced
+
+# Build requirements for pykolab
+automake
+autoconf
+gcc
+gettext
+glib2-devel
+intltool
+python
+python-icalendar
+python-kolabformat
+python-ldap
+python-nose
+
+# Build utilities
+@fedora-packager
+
+# Other build dependencies
+binutils-devel
+boost-devel
+cmake
+cyrus-sasl-devel
+e2fsprogs-devel
+gcc-c++
+js-devel
+libcalendaring-devel
+libcurl-devel
+libical-devel
+libkolabxml-devel
+llvm-devel
+php-devel
+python-devel
+qt-devel
+swig
+uuid-devel
+v8-devel
+xerces-c-devel
+xsd
+
+# Development tools
+php-pecl-xdebug
+
+%post
+# Set the default runlevel to 3
+# https://bugzilla.redhat.com/show_bug.cgi?id=440058
+sed -i -r -e 's/^id:[0-6]:initdefault:$/id:3:initdefault:/g' /etc/inittab
+
+# Insert SSH key
+mkdir -p /root/.ssh/
+cat >/root/.ssh/authorized_keys <<EOF
+ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCuYwrguPlzuOXUNV9AwtbduNy0Waq1crncyb8ijHNEng4SX/kMhqULK4Z6g0Go5vXFzkabmQqHvRPxi5jtTN+P80xsdqEznKETbyjiPnw56qLYERf1UvTUl41yMTgrB9M7/74cD1RnpjnMKU/KRUelWtv/xzpVvYoMsNBZlS64cCRXvrE2z7tZC2hdBKPU+6yeUSe1HVwklMzhAvCpPplN7riVO6hV4J1QCdLFpS8cScIYKBo7f6Xrt3aWOsmMr9OJx2CZiJkwYLotSkbf5VFMAsJhaSnO8UTNNEOZFkIU7My0+u2oyfQX2vuaaVaJix1gsNLW4q3bqvW5+XaNJuiZ kanarip@kanarip.com
+EOF
+
+chmod 700 /root/.ssh
+chmod 600 /root/.ssh/authorized_keys
+
+# Set vimrc
+cat >>/etc/vimrc <<EOF
+
+set shiftwidth=4
+set tabstop=4
+set expandtab
+EOF
+
+# Add koji yum repositories
+cat >>/etc/yum.repos.d/kolab-3.0-koji.repo<<EOF
+[kolab-3.0-koji]
+name=Kolab 3.0 packages directly from Koji
+baseurl=http://koji.kolabsys.com/static-repos/feature-el6-kolab-3.0-build/latest/x86_64/
+enabled=0
+priority=50
+gpgcheck=0
+EOF
+cat >>/etc/yum.repos.d/kolab-3.0-koji-development.repo<<EOF
+[kolab-3.0-koji-development]
+name=Kolab 3.0 packages directly from Koji
+baseurl=http://koji.kolabsys.com/static-repos/feature-el6-kolab-3.0-development-build/latest/x86_64/
+enabled=0
+priority=50
+gpgcheck=0
+EOF
+
+# Set toprc
+cat >>/root/.toprc<<EOF
+RCfile for "top with windows" # shameless braggin
+Id:a, Mode_altscr=0, Mode_irixps=1, Delay_time=1.000, Curwin=0
+Def fieldscur=AEHIOQTWKNMbcdfgjplrsuvyzX
+ winflags=62905, sortindx=10, maxtasks=0
+ summclr=1, msgsclr=1, headclr=3, taskclr=1
+Job fieldscur=ABcefgjlrstuvyzMKNHIWOPQDX
+ winflags=62777, sortindx=0, maxtasks=0
+ summclr=6, msgsclr=6, headclr=7, taskclr=6
+Mem fieldscur=ANOPQRSTUVbcdefgjlmyzWHIKX
+ winflags=62777, sortindx=13, maxtasks=0
+ summclr=5, msgsclr=5, headclr=4, taskclr=5
+Usr fieldscur=ABDECGfhijlopqrstuvyzMKNWX
+ winflags=62777, sortindx=4, maxtasks=0
+ summclr=3, msgsclr=3, headclr=2, taskclr=3
+EOF
+%end
diff --git a/autoinstall/sid-24.cfg b/autoinstall/sid-24.cfg
new file mode 100644
index 0000000..2d1d934
--- /dev/null
+++ b/autoinstall/sid-24.cfg
@@ -0,0 +1,45 @@
+d-i debian-installer/locale string en_US
+d-i console-keymaps-at/keymap select us
+d-i netcfg/choose_interface select auto
+d-i netcfg/get_hostname kolab.example.org
+d-i netcfg/get_domain kolab.example.org
+d-i netcfg/wireless_wep string
+d-i mirror/country string enter information manually
+d-i mirror/http/hostname string mirror.kolabsys.com
+d-i mirror/http/directory string /distr/debian/
+d-i clock-setup/utc boolean true
+d-i time/zone string Europe/Zurich
+d-i clock-setup/ntp boolean true
+
+d-i partman-auto/disk string /dev/sda
+d-i partman-auto/method string lvm
+d-i partman-auto/choose_recipe select atomic
+d-i partman-lvm/confirm boolean true
+d-i partman-lvm/device_remove_lvm boolean true
+d-i partman-lvm/confirm_nooverwrite boolean true
+d-i partman/choose_partition select finish
+d-i partman/confirm boolean true
+d-i partman/confirm_nooverwrite boolean true
+d-i partman-basicfilesystems/no_mount_point yes
+
+d-i passwd/root-password password Welcome2KolabSystems
+d-i passwd/root-password-again password Welcome2KolabSystems
+
+d-i passwd/user-fullname string Kolab Systems User
+d-i passwd/username string kolab
+d-i passwd/user-password password Welcome2KolabSystems
+d-i passwd/user-password-again password Welcome2KolabSystems
+
+d-i apt-setup/non-free boolean true
+d-i apt-setup/contrib boolean true
+
+tasksel tasksel/first multiselect standard
+d-i pkgsel/include select openssh-server,vim,git,util-linux
+d-i popularity-contest/participate boolean false
+
+d-i grub-installer/only_debian boolean true
+d-i grub-installer/with_other_os boolean true
+
+d-i debian-installer/add-kernel-opts string console=ttyS0,9600n8
+
+d-i finish-install/reboot_in_progress note
diff --git a/autoinstall/sid-30.cfg b/autoinstall/sid-30.cfg
new file mode 100644
index 0000000..2d1d934
--- /dev/null
+++ b/autoinstall/sid-30.cfg
@@ -0,0 +1,45 @@
+d-i debian-installer/locale string en_US
+d-i console-keymaps-at/keymap select us
+d-i netcfg/choose_interface select auto
+d-i netcfg/get_hostname kolab.example.org
+d-i netcfg/get_domain kolab.example.org
+d-i netcfg/wireless_wep string
+d-i mirror/country string enter information manually
+d-i mirror/http/hostname string mirror.kolabsys.com
+d-i mirror/http/directory string /distr/debian/
+d-i clock-setup/utc boolean true
+d-i time/zone string Europe/Zurich
+d-i clock-setup/ntp boolean true
+
+d-i partman-auto/disk string /dev/sda
+d-i partman-auto/method string lvm
+d-i partman-auto/choose_recipe select atomic
+d-i partman-lvm/confirm boolean true
+d-i partman-lvm/device_remove_lvm boolean true
+d-i partman-lvm/confirm_nooverwrite boolean true
+d-i partman/choose_partition select finish
+d-i partman/confirm boolean true
+d-i partman/confirm_nooverwrite boolean true
+d-i partman-basicfilesystems/no_mount_point yes
+
+d-i passwd/root-password password Welcome2KolabSystems
+d-i passwd/root-password-again password Welcome2KolabSystems
+
+d-i passwd/user-fullname string Kolab Systems User
+d-i passwd/username string kolab
+d-i passwd/user-password password Welcome2KolabSystems
+d-i passwd/user-password-again password Welcome2KolabSystems
+
+d-i apt-setup/non-free boolean true
+d-i apt-setup/contrib boolean true
+
+tasksel tasksel/first multiselect standard
+d-i pkgsel/include select openssh-server,vim,git,util-linux
+d-i popularity-contest/participate boolean false
+
+d-i grub-installer/only_debian boolean true
+d-i grub-installer/with_other_os boolean true
+
+d-i debian-installer/add-kernel-opts string console=ttyS0,9600n8
+
+d-i finish-install/reboot_in_progress note
diff --git a/autoinstall/sphericalcow-30.cfg b/autoinstall/sphericalcow-30.cfg
new file mode 100644
index 0000000..67a1d90
--- /dev/null
+++ b/autoinstall/sphericalcow-30.cfg
@@ -0,0 +1,40 @@
+lang en_US.UTF-8
+keyboard us
+timezone --utc Europe/Zurich
+auth --useshadow --enablemd5
+selinux --permissive
+firewall --disabled
+firstboot --disabled
+zerombr
+clearpart --all --initlabel
+autopart
+rootpw --plaintext Welcome2KolabSystems
+bootloader --location=mbr
+services --enabled=NetworkManager --disabled=network
+
+network --hostname=kolab.example.org
+
+reboot
+
+%packages
+NetworkManager
+
+# For development purposes
+git
+
+%end
+
+%post
+pushd /etc/systemd/system/
+rm -rf default.target
+ln -s /lib/systemd/system/runlevel3.target default.target
+popd
+
+# Insert SSH key
+mkdir -p /root/.ssh/
+cat >/root/.ssh/authorized_keys <<EOF
+ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCuYwrguPlzuOXUNV9AwtbduNy0Waq1crncyb8ijHNEng4SX/kMhqULK4Z6g0Go5vXFzkabmQqHvRPxi5jtTN+P80xsdqEznKETbyjiPnw56qLYERf1UvTUl41yMTgrB9M7/74cD1RnpjnMKU/KRUelWtv/xzpVvYoMsNBZlS64cCRXvrE2z7tZC2hdBKPU+6yeUSe1HVwklMzhAvCpPplN7riVO6hV4J1QCdLFpS8cScIYKBo7f6Xrt3aWOsmMr9OJx2CZiJkwYLotSkbf5VFMAsJhaSnO8UTNNEOZFkIU7My0+u2oyfQX2vuaaVaJix1gsNLW4q3bqvW5+XaNJuiZ kanarip@kanarip.com
+EOF
+chmod 700 /root/.ssh
+chmod 600 /root/.ssh/authorized_keys
+%end
diff --git a/autoinstall/squeeze-24.cfg b/autoinstall/squeeze-24.cfg
new file mode 100644
index 0000000..2d1d934
--- /dev/null
+++ b/autoinstall/squeeze-24.cfg
@@ -0,0 +1,45 @@
+d-i debian-installer/locale string en_US
+d-i console-keymaps-at/keymap select us
+d-i netcfg/choose_interface select auto
+d-i netcfg/get_hostname kolab.example.org
+d-i netcfg/get_domain kolab.example.org
+d-i netcfg/wireless_wep string
+d-i mirror/country string enter information manually
+d-i mirror/http/hostname string mirror.kolabsys.com
+d-i mirror/http/directory string /distr/debian/
+d-i clock-setup/utc boolean true
+d-i time/zone string Europe/Zurich
+d-i clock-setup/ntp boolean true
+
+d-i partman-auto/disk string /dev/sda
+d-i partman-auto/method string lvm
+d-i partman-auto/choose_recipe select atomic
+d-i partman-lvm/confirm boolean true
+d-i partman-lvm/device_remove_lvm boolean true
+d-i partman-lvm/confirm_nooverwrite boolean true
+d-i partman/choose_partition select finish
+d-i partman/confirm boolean true
+d-i partman/confirm_nooverwrite boolean true
+d-i partman-basicfilesystems/no_mount_point yes
+
+d-i passwd/root-password password Welcome2KolabSystems
+d-i passwd/root-password-again password Welcome2KolabSystems
+
+d-i passwd/user-fullname string Kolab Systems User
+d-i passwd/username string kolab
+d-i passwd/user-password password Welcome2KolabSystems
+d-i passwd/user-password-again password Welcome2KolabSystems
+
+d-i apt-setup/non-free boolean true
+d-i apt-setup/contrib boolean true
+
+tasksel tasksel/first multiselect standard
+d-i pkgsel/include select openssh-server,vim,git,util-linux
+d-i popularity-contest/participate boolean false
+
+d-i grub-installer/only_debian boolean true
+d-i grub-installer/with_other_os boolean true
+
+d-i debian-installer/add-kernel-opts string console=ttyS0,9600n8
+
+d-i finish-install/reboot_in_progress note
diff --git a/autoinstall/squeeze-30.cfg b/autoinstall/squeeze-30.cfg
new file mode 100644
index 0000000..2d1d934
--- /dev/null
+++ b/autoinstall/squeeze-30.cfg
@@ -0,0 +1,45 @@
+d-i debian-installer/locale string en_US
+d-i console-keymaps-at/keymap select us
+d-i netcfg/choose_interface select auto
+d-i netcfg/get_hostname kolab.example.org
+d-i netcfg/get_domain kolab.example.org
+d-i netcfg/wireless_wep string
+d-i mirror/country string enter information manually
+d-i mirror/http/hostname string mirror.kolabsys.com
+d-i mirror/http/directory string /distr/debian/
+d-i clock-setup/utc boolean true
+d-i time/zone string Europe/Zurich
+d-i clock-setup/ntp boolean true
+
+d-i partman-auto/disk string /dev/sda
+d-i partman-auto/method string lvm
+d-i partman-auto/choose_recipe select atomic
+d-i partman-lvm/confirm boolean true
+d-i partman-lvm/device_remove_lvm boolean true
+d-i partman-lvm/confirm_nooverwrite boolean true
+d-i partman/choose_partition select finish
+d-i partman/confirm boolean true
+d-i partman/confirm_nooverwrite boolean true
+d-i partman-basicfilesystems/no_mount_point yes
+
+d-i passwd/root-password password Welcome2KolabSystems
+d-i passwd/root-password-again password Welcome2KolabSystems
+
+d-i passwd/user-fullname string Kolab Systems User
+d-i passwd/username string kolab
+d-i passwd/user-password password Welcome2KolabSystems
+d-i passwd/user-password-again password Welcome2KolabSystems
+
+d-i apt-setup/non-free boolean true
+d-i apt-setup/contrib boolean true
+
+tasksel tasksel/first multiselect standard
+d-i pkgsel/include select openssh-server,vim,git,util-linux
+d-i popularity-contest/participate boolean false
+
+d-i grub-installer/only_debian boolean true
+d-i grub-installer/with_other_os boolean true
+
+d-i debian-installer/add-kernel-opts string console=ttyS0,9600n8
+
+d-i finish-install/reboot_in_progress note
diff --git a/autoinstall/tikanga-24.cfg b/autoinstall/tikanga-24.cfg
new file mode 100644
index 0000000..0ffd6b8
--- /dev/null
+++ b/autoinstall/tikanga-24.cfg
@@ -0,0 +1,54 @@
+lang en_US.UTF-8
+keyboard us
+timezone --utc Europe/Zurich
+text
+skipx
+auth --useshadow --enablemd5
+selinux --permissive
+firewall --enabled
+firstboot --disabled
+xconfig --startxonboot
+zerombr
+clearpart --all --initlabel
+autopart
+rootpw Welcome2KolabSystems
+bootloader --location=mbr
+services --enabled=NetworkManager --disabled=network
+
+network --hostname=kolab.example.org
+
+reboot
+
+repo --name=epel --baseurl=http://mirror.kolabsys.com/repos/epel/5/x86_64/
+repo --name=kolab-2.4 --baseurl=http://mirror.kolabsys.com/pub/redhat/kolab-2.4/el5/release/x86_64/
+repo --name=kolab-2.4-updates --baseurl=http://mirror.kolabsys.com/pub/redhat/kolab-2.4/el5/updates/x86_64/
+
+%packages
+NetworkManager
+kolab-2.4-community-release
+kolab-2.4-community-release-development
+epel-release
+yum-priorities
+
+%post
+# Set the default runlevel to 3
+# https://bugzilla.redhat.com/show_bug.cgi?id=440058
+sed -i -r -e 's/^id:[0-6]:initdefault:$/id:3:initdefault:/g' /etc/inittab
+
+cat >>/etc/yum.repos.d/kolab-2.4-koji.repo<<EOF
+[kolab-2.4-koji]
+name=Kolab 2.4 packages straight from Koji
+baseurl=http://koji.kolabsys.com/static-repos/feature-el5-kolab-2.4-development-build/latest/x86_64/
+enabled=1
+priority=60
+gpgcheck=0
+EOF
+
+# Insert SSH key
+mkdir -p /root/.ssh/
+cat >/root/.ssh/authorized_keys <<EOF
+ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCuYwrguPlzuOXUNV9AwtbduNy0Waq1crncyb8ijHNEng4SX/kMhqULK4Z6g0Go5vXFzkabmQqHvRPxi5jtTN+P80xsdqEznKETbyjiPnw56qLYERf1UvTUl41yMTgrB9M7/74cD1RnpjnMKU/KRUelWtv/xzpVvYoMsNBZlS64cCRXvrE2z7tZC2hdBKPU+6yeUSe1HVwklMzhAvCpPplN7riVO6hV4J1QCdLFpS8cScIYKBo7f6Xrt3aWOsmMr9OJx2CZiJkwYLotSkbf5VFMAsJhaSnO8UTNNEOZFkIU7My0+u2oyfQX2vuaaVaJix1gsNLW4q3bqvW5+XaNJuiZ kanarip@kanarip.com
+EOF
+chmod 700 /root/.ssh
+chmod 600 /root/.ssh/authorized_keys
+%end
diff --git a/autoinstall/wheezy-24.cfg b/autoinstall/wheezy-24.cfg
new file mode 100644
index 0000000..2d1d934
--- /dev/null
+++ b/autoinstall/wheezy-24.cfg
@@ -0,0 +1,45 @@
+d-i debian-installer/locale string en_US
+d-i console-keymaps-at/keymap select us
+d-i netcfg/choose_interface select auto
+d-i netcfg/get_hostname kolab.example.org
+d-i netcfg/get_domain kolab.example.org
+d-i netcfg/wireless_wep string
+d-i mirror/country string enter information manually
+d-i mirror/http/hostname string mirror.kolabsys.com
+d-i mirror/http/directory string /distr/debian/
+d-i clock-setup/utc boolean true
+d-i time/zone string Europe/Zurich
+d-i clock-setup/ntp boolean true
+
+d-i partman-auto/disk string /dev/sda
+d-i partman-auto/method string lvm
+d-i partman-auto/choose_recipe select atomic
+d-i partman-lvm/confirm boolean true
+d-i partman-lvm/device_remove_lvm boolean true
+d-i partman-lvm/confirm_nooverwrite boolean true
+d-i partman/choose_partition select finish
+d-i partman/confirm boolean true
+d-i partman/confirm_nooverwrite boolean true
+d-i partman-basicfilesystems/no_mount_point yes
+
+d-i passwd/root-password password Welcome2KolabSystems
+d-i passwd/root-password-again password Welcome2KolabSystems
+
+d-i passwd/user-fullname string Kolab Systems User
+d-i passwd/username string kolab
+d-i passwd/user-password password Welcome2KolabSystems
+d-i passwd/user-password-again password Welcome2KolabSystems
+
+d-i apt-setup/non-free boolean true
+d-i apt-setup/contrib boolean true
+
+tasksel tasksel/first multiselect standard
+d-i pkgsel/include select openssh-server,vim,git,util-linux
+d-i popularity-contest/participate boolean false
+
+d-i grub-installer/only_debian boolean true
+d-i grub-installer/with_other_os boolean true
+
+d-i debian-installer/add-kernel-opts string console=ttyS0,9600n8
+
+d-i finish-install/reboot_in_progress note
diff --git a/autoinstall/wheezy-30.cfg b/autoinstall/wheezy-30.cfg
new file mode 100644
index 0000000..66bcd04
--- /dev/null
+++ b/autoinstall/wheezy-30.cfg
@@ -0,0 +1,45 @@
+d-i debian-installer/locale string en_US
+d-i console-keymaps-at/keymap select us
+d-i netcfg/choose_interface select auto
+d-i netcfg/get_hostname kolab.example.org
+d-i netcfg/get_domain kolab.example.org
+d-i netcfg/wireless_wep string
+d-i mirror/country string enter information manually
+d-i mirror/http/hostname string ftp.uk.debian.org
+d-i mirror/http/directory string /debian/
+d-i clock-setup/utc boolean true
+d-i time/zone string Europe/Zurich
+d-i clock-setup/ntp boolean true
+
+d-i partman-auto/disk string /dev/sda
+d-i partman-auto/method string lvm
+d-i partman-auto/choose_recipe select atomic
+d-i partman-lvm/confirm boolean true
+d-i partman-lvm/device_remove_lvm boolean true
+d-i partman-lvm/confirm_nooverwrite boolean true
+d-i partman/choose_partition select finish
+d-i partman/confirm boolean true
+d-i partman/confirm_nooverwrite boolean true
+d-i partman-basicfilesystems/no_mount_point yes
+
+d-i passwd/root-password password Welcome2KolabSystems
+d-i passwd/root-password-again password Welcome2KolabSystems
+
+d-i passwd/user-fullname string Kolab Systems User
+d-i passwd/username string kolab
+d-i passwd/user-password password Welcome2KolabSystems
+d-i passwd/user-password-again password Welcome2KolabSystems
+
+d-i apt-setup/non-free boolean true
+d-i apt-setup/contrib boolean true
+
+tasksel tasksel/first multiselect standard
+d-i pkgsel/include select build-essential cowbuilder debhelper devscripts dh-make dh-autoreconf fakeroot git-buildpackage ldapscripts lintian openssh-server pbuilder sudo vim wget
+d-i popularity-contest/participate boolean false
+
+d-i grub-installer/only_debian boolean true
+d-i grub-installer/with_other_os boolean true
+
+d-i preseed/late_command string in-target wget -q -O/root/init.sh http://hosted.kolabsys.com/~vanmeeuwen/bootstrap-wheezy-script.txt; in-target chmod +x /root/init.sh; in-target bash /root/init.sh
+
+d-i finish-install/reboot_in_progress note